Bug 191661 - DeskJet 6122 printer not automatically recognized.
DeskJet 6122 printer not automatically recognized.
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: foomatic (Show other bugs)
6
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
:
Depends On:
Blocks: FC6Update
  Show dependency treegraph
 
Reported: 2006-05-14 15:55 EDT by John Bunch
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 3.0.2-39.4.fc6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-17 12:09:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Bunch 2006-05-14 15:55:00 EDT
Description of problem:


Version-Release number of selected component (if applicable):
foomatic-3.0.2-33.2

How reproducible:
Always

Steps to Reproduce:
1.  Cable the DeskJet 6122 printer via USB.
2.  # system-config-printer
3.  Click "New".

  
Actual results (this is a copy/paste of the output):
[root@david ~]# system-config-printer
No match for USB device:
  mfr "hp"
  model "deskjet 6122"
  desc "hp deskjet 6122"
  cmdset "MLC,PCL,PML,DW-PCL,DYN,DESKJET"
Please report this message in Bugzilla:
  https://bugzilla.redhat.com/bugzilla
Choose 'foomatic' as the component.


Expected results:
Expected the printer to be automatically detected.

Additional info:
I had to manually select "HP" and "DeskJet 6122" from lists.
You guys fixed this for the last DeskJet I had.  Keep up the great work!
Comment 1 John Bunch 2006-12-09 09:18:21 EST
This printer's driver is still not being detected on Fedora Core 6.
In case this helps, here is the output of '/usr/sbin/lpinfo -l -v':
----------------Cut here-------------------
Device: uri = socket
        class = network
        info = AppSocket/HP JetDirect
        make-and-model = Unknown
        device-id = 
Device: uri = beh
        class = network
        info = Backend Error Handler
        make-and-model = Unknown
        device-id = 
Device: uri =
hal:///org/freedesktop/Hal/devices/usb_device_3f0_3404_MY2952103F50_if0_printer_MY2952103F50
        class = direct
        info = hp deskjet 6122
        make-and-model = hp deskjet 6122
        device-id = 
Device: uri = usb://hp/deskjet%206122?serial=MY2952103F50
        class = direct
        info = hp deskjet 6122 USB #1
        make-and-model = hp deskjet 6122
        device-id = MFG:hp;MDL:deskjet
6122;CID:hpdeskjet_6122DC93;CMD:MLC,PCL,PML,DW-PCL,DYN,DESKJET;CLS:PRINTER;DES:hp
deskjet 6122;SN:MY2952103F50;S:00808088800012002C110003CC2080018;P:0800,FL,B0;J:
                   ;
Device: uri = hp:/usb/deskjet_6122?serial=MY2952103F50
        class = direct
        info = HP deskjet 6122 USB MY2952103F50 HPLIP
        make-and-model = HP deskjet 6122
        device-id = MFG:HP;MDL:deskjet 6122;CLS:PRINTER;DES:deskjet
6122;SN:MY2952103F50;
Device: uri = http
        class = network
        info = Internet Printing Protocol (http)
        make-and-model = Unknown
        device-id = 
Device: uri = ipp
        class = network
        info = Internet Printing Protocol (ipp)
        make-and-model = Unknown
        device-id = 
Device: uri = lpd
        class = network
        info = LPD/LPR Host or Printer
        make-and-model = Unknown
        device-id = 
Device: uri = parallel:/dev/lp0
        class = direct
        info = LPT #1
        make-and-model = Unknown
        device-id = 
Device: uri = scsi
        class = direct
        info = SCSI Printer
        make-and-model = Unknown
        device-id = 
Device: uri = serial:/dev/ttyS0?baud=115200
        class = serial
        info = Serial Port #1
        make-and-model = Unknown
        device-id = 
Device: uri = serial:/dev/ttyS1?baud=115200
        class = serial
        info = Serial Port #2
        make-and-model = Unknown
        device-id = 
Device: uri = smb
        class = network
        info = Windows Printer via SAMBA
        make-and-model = Unknown
        device-id = 
-----------------------Cut here-------------------------------
Comment 2 Tim Waugh 2006-12-11 10:44:30 EST
Fixed upstream.

I've also made a change to system-config-printer so that it will match
case-insensitively, which should let it guess the right model anyway.
Comment 3 Fedora Update System 2007-01-17 11:27:44 EST
Fixed in update: foomatic-3.0.2-39.4.fc6

Note You need to log in before you can comment on or make changes to this bug.